FLAC: FLAC::Metadata::CueSheet Class Reference

FLAC 1.4.3 Free Lossless Audio Codec

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::CueSheet Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::CueSheet:

## Classes
class | Track

## Public Member Functions
| CueSheet (const CueSheet &object)
| CueSheet (const ::FLAC__StreamMetadata &object)
| CueSheet (const ::FLAC__StreamMetadata *object)
| CueSheet (::FLAC__StreamMetadata *object, bool copy)
CueSheet & | operator= (const CueSheet &object)
CueSheet & | operator= (const ::FLAC__StreamMetadata &object)
CueSheet & | operator= (const ::FLAC__StreamMetadata *object)
CueSheet & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const CueSheet &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const CueSheet &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
const char * | get_media_catalog_number () const
FLAC__uint64 | get_lead_in () const
bool | get_is_cd () const
uint32_t | get_num_tracks () const
Track | get_track (uint32_t i) const
void | set_media_catalog_number (const char value[128])
void | set_lead_in (FLAC__uint64 value)
void | set_is_cd (bool value)
void | set_index (uint32_t track_num, uint32_t index_num, const ::FLAC__StreamMetadata_CueSheet_Index &index)
bool | resize_indices (uint32_t track_num, uint32_t new_num_indices)
bool | insert_index (uint32_t track_num, uint32_t index_num, const ::FLAC__StreamMetadata_CueSheet_Index &index)
bool | insert_blank_index (uint32_t track_num, uint32_t index_num)
bool | delete_index (uint32_t track_num, uint32_t index_num)
bool | resize_tracks (uint32_t new_num_tracks)
bool | set_track (uint32_t i, const Track &track)
bool | insert_track (uint32_t i, const Track &track)
bool | insert_blank_track (uint32_t i)
bool | delete_track (uint32_t i)
bool | is_legal (bool check_cd_da_subset=false, const char **violation=0) const
FLAC__uint32 | calculate_cddb_id () const
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

CUESHEET metadata block. See the overview for more, and the format specification.

The documentation for this class was generated from the following file:

- /build/flac/src/flac-1.4.3/include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation